<%@ page contentType="text/html;charset=UTF-8"%>
<link rel="stylesheet" type="text/css" href="${ctxStatic}/jBox/Source/jBox.css">
<script type="text/javascript" src="${ctxStatic}/jBox/Source/jBox.min.js"></script>
<script type="text/javascript" src="${ctxStatic}/easy-canvas/easy-canvas.js"></script>

<div id="trial-detail-content" class="container-fluid" style="display:none">
<div class="row-fluid">
    <div id="trial-left-div" class="span7" style="overflow-y:scroll">
        <canvas id="trial-canvas"></canvas>
    </div>
    <div id="trial-right-div" class="span5">
        <table id="contentTable" class="table table-striped table-bordered table-condensed">
            <thead>
                <tr>
                    <th>评卷员</th>
                    <th>姓名</th>
                    <th>给分</th>
                    <th>时间</th>
                </tr>
            </thead>
            <tbody id="trial-history">
            </tbody>
        </table>
    </div>
</div>
</div>

<script type="text/javascript">
var trailDetailModal = new jBox('Modal');
var trialCanvas = new EasyCanvas({canvas: document.getElementById('trial-canvas')});

$(document).ready(function() {
    $('#trial-left-div').height($(window).height()*0.83);
});

function initTrialDetailPopover(title, libraryId) {
	initTrialDetailContent(libraryId); 
	trailDetailModal.setWidth($(window).width()*0.9);
	trailDetailModal.setHeight($(window).height()*0.85);
	trailDetailModal.setTitle(title);
	trailDetailModal.setContent($('#trial-detail-content'));
	trailDetailModal.open();
}

function initTrialDetailContent(libraryId){
	$('#trial-history').empty();
	trialCanvas.clear();
	$.ajax({
        type:"GET",
        url:'${ctx}/admin/exam/trial/detail?libraryId='+libraryId,  
        dataType:"json",
        success:function(data){
	        if(data.success==true) {
	            for (var i = 0; i < data.historyList.length; i++) {
	                var history = data.historyList[i];
	                $('#trial-history').append('<tr><td>'+history.loginName+'</td><td>'+history.name+'</td><td>'+history.score+'</td><td>'+history.time+'</td></tr>');
	            }
	            buildImages(data.imageServer, data.urls, data.pictureConfig);
	        }else {
	            trailDetailModal.setTitle('加载失败')
	        }
        }
    });
}

function buildImages(imageServer, picUrls, config) {
    var indexSet = {};
    for(var i=0;i<config.length;i++){
        indexSet[config[i].i-1] = true;
    }
    //调用图片预加载函数，实现回调函数
    var imageObjects = [];
    loadImages(imageObjects, imageServer, indexSet, picUrls, 0, function(images) {
        trialCanvas.setMaxWidth($('#trial-left-div').width()*0.95);
        trialCanvas.drawImages(images, config);
    });
}

function loadImages(images, imageServer, indexSet, urls, number, callback) {
    if (urls != undefined && number < urls.length) {
        if(indexSet[number]==true) {
            var img = new Image();
            img.onload = function() {
                images.push(img);
                loadImages(images, imageServer, indexSet, urls, number + 1, callback);
            }
            img.crossOrigin = '';
            img.src = imageServer + urls[number] + '?' + new Date().getTime();
        }else {
            images.push({});
            loadImages(images, imageServer, indexSet, urls, number + 1, callback);
        }
    } else {
        callback.call(this, images);
    }
}
</script>



